Dependências ao instalar o Proftpd no Debian 8 [RESOLVIDO]

1. Dependências ao instalar o Proftpd no Debian 8 [RESOLVIDO]

Adriano Santos Lima
mastergbi

(usa Slackware)

Enviado em 10/06/2015 - 19:34h

tentei instalar o proftpd no Debian 8(Debian GNU/Linux 8.1.0 _Jessie_ ) e pediu dependências, já digitei: apt-get upgrade, apt-get update e mesmo assim não foi, instalei varios pacotes, alguem sabe qual pacote posso instalar para suprir os "libmemcached11" , "libmemcachedutil2" ?

resposta do server para o comando:
/# apt-get install proftpd
-------------------------------------------
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'proftpd-basic' instead of 'proftpd'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
proftpd-basic : Depends: libmemcached11 but it is not installable
Depends: libmemcachedutil2 but it is not installable
E: Unable to correct problems, you have held broken packages.
---------------------------------------------------------------------------

Já instalei o proftpd usando o debian 4 etch na época e funcionou normal


  


2. Re: Dependências ao instalar o Proftpd no Debian 8

Patrick
Freud_Tux

(usa Outra)

Enviado em 10/06/2015 - 21:07h

Antes de mais nada, como está o seu arquivo sources.lists.
Por padrão, o Debian só habilita dois repositórios, e você tem que ir adicionando os outros depois.

A ordem certa dos comando é essa:

Vai gerar/atualizar a lista dos arquivos nos repositórios habilitados na sources.lists. Esses arquivos ficam em "/var/lib/apt/lists

 apt-get update 


Esse comando vai atualizar seu sistema em si, ou seja tudo o que tiver instalado na máquina. Ele não instala nada novo.

apt-get update 


Mas você pode pular o "update" para algo mais radical e prático, usando a opção dist-upgrade.
A ideia é atualizar tudo, ele faz mais que o simples upgrade. Ele instala novos programas, que dependam de alguma atualização na máquina, caso precise. Por isso que quando se vai atualizar as versões do Debian, é preciso rodar primeiro o "apt-get upgrade" e só depois, o dist-upgrade, isso evita que o sistema quebre.

apt-get dist-upgrade 


Bem, agora vamos ao que interessa:

apt-cache search ibmemcached11 libmemcachedutil2  


Poste a saída do comando aqui blz.

T+


3. Re: Dependências ao instalar o Proftpd no Debian 8 [RESOLVIDO]

Adriano Santos Lima
mastergbi

(usa Slackware)

Enviado em 10/06/2015 - 21:16h

galera, resolvi aqui, eu "fuçei" nos repositórios do debian e baixei com wget os libmemcached11.deb e libmemcachedutil2.deb e instalei com o "dpkg -i" , depois o "apt-get install proftpd" passou normal...

pra quem passar por esse problema é só baixar e instalar..
wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcached11_1.0.18-4_i386.deb
wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcachedutil2_1.0.18-4_i386.deb

Adriano Santos




4. Re: Dependências ao instalar o Proftpd no Debian 8

Adriano Santos Lima
mastergbi

(usa Slackware)

Enviado em 10/06/2015 - 21:19h

Vi sua mensagem agora, Obrigado pela resposta "Freud Tux" ja tinha ate digitado algo similar o que você pediu, tentei o "apt-cache policy libmemcached11" e deu (none) nas duas libs...

valeu.


5. Re: Dependências ao instalar o Proftpd no Debian 8 [RESOLVIDO]

PH Digitos
chaplinux

(usa Debian)

Enviado em 08/08/2017 - 01:19h

mastergbi escreveu:

galera, resolvi aqui, eu "fuçei" nos repositórios do debian e baixei com wget os libmemcached11.deb e libmemcachedutil2.deb e instalei com o "dpkg -i" , depois o "apt-get install proftpd" passou normal...

pra quem passar por esse problema é só baixar e instalar..
wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcached11_1.0.18-4_i386.deb
wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcachedutil2_1.0.18-4_i386.deb

Adriano Santos



mais para o debian 64 bits? é os mesmo pacotes?



===~~~~~~~~===~~~~~~~~===~~~~~~~~===~~~~~~~===
o que é Software? Software é a parte que você xinga ...
e Hardware ? Hardware é a parte que você chuta! ...


6. Link da vesão 64 bits

PH Digitos
chaplinux

(usa Debian)

Enviado em 08/08/2017 - 01:28h



para vesão 64 bits



wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcached11_1.0.18-4.1_amd64.deb

wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcachedutil2_1.0.18-4.1_amd64.deb


===~~~~~~~~===~~~~~~~~===~~~~~~~~===~~~~~~~===
o que é Software? Software é a parte que você xinga ...
e Hardware ? Hardware é a parte que você chuta! ...


7. Re: Dependências ao instalar o Proftpd no Debian 8 [RESOLVIDO]

Adriano Santos Lima
mastergbi

(usa Slackware)

Enviado em 08/08/2017 - 08:45h

chaplinux escreveu:



para vesão 64 bits



wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcached11_1.0.18-4.1_amd64.deb

wget http://ftp.br.debian.org/debian/pool/main/libm/libmemcached/libmemcachedutil2_1.0.18-4.1_amd64.deb


===~~~~~~~~===~~~~~~~~===~~~~~~~~===~~~~~~~===
o que é Software? Software é a parte que você xinga ...
e Hardware ? Hardware é a parte que você chuta! ...



Isso mesmo...







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts